com.android.agf.fragments

## Class Base_WebViewFragment.MyJavaScriptCDA

- java.lang.Object
- - com.android.agf.interfaces.JavaScriptInterface
  - - com.android.agf.fragments.Base_WebViewFragment.MyJavaScript
    - - com.android.agf.fragments.Base_WebViewFragment.MyJavaScriptCDA

- Enclosing class:
    Base_WebViewFragment

       class Base_WebViewFragment.MyJavaScriptCDA
      extends Base_WebViewFragment.MyJavaScript

  classe local que afegeix el control de dades en cas de CDA
  Author:
    albert

- - ### Field Summary

    - ### Fields inherited from class com.android.agf.fragments.Base_WebViewFragment.MyJavaScript

      `mIdWebView`

    - ### Fields inherited from class com.android.agf.interfaces.JavaScriptInterface

      `height, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base_WebViewFragment.MyJavaScriptCDA(CDAData data, int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Number>` | `getData(int id)` funcio per aconseguir els valors
    `int` | `getDataLength()` funcio per aconseguir el numero de series
    `List<String>` | `getLabels()` funcio per aconseguir les etiquetes
    `void` | `setLegend(String[] elem)` setter llegenda

    - ### Methods inherited from class com.android.agf.fragments.Base_WebViewFragment.MyJavaScript

      `inicia, tanca`

    - ### Methods inherited from class com.android.agf.interfaces.JavaScriptInterface

      `getChart, getHeight, getPaletteColorChart, getTitleSetting, getWidth, setChart, setColor, setHeight, setWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base_WebViewFragment.MyJavaScriptCDA

          public Base_WebViewFragment.MyJavaScriptCDA(CDAData data,
                                              int id)

  - ### Method Detail

    - #### setLegend

          public void setLegend(String[] elem)

      Description copied from class: `JavaScriptInterface`
      setter llegenda
      Overrides:
        `setLegend` in class `Base_WebViewFragment.MyJavaScript`

    - #### getDataLength

          public int getDataLength()

      Description copied from class: `JavaScriptInterface`
      funcio per aconseguir el numero de series
      Overrides:
        `getDataLength` in class `JavaScriptInterface`
      Returns:

    - #### getData

          public List<Number> getData(int id)

      Description copied from class: `JavaScriptInterface`
      funcio per aconseguir els valors
      Overrides:
        `getData` in class `JavaScriptInterface`
      Returns:

    - #### getLabels

          public List<String> getLabels()

      Description copied from class: `JavaScriptInterface`
      funcio per aconseguir les etiquetes
      Overrides:
        `getLabels` in class `JavaScriptInterface`
      Returns: